import { ElementRef, OnInit, TemplateRef } from '@angular/core';
import { MenuPositionX, MenuPositionY } from '@angular/material/menu';
import * as i0 from "@angular/core";
export declare class NgxMatPopoverComponent implements OnInit {
    private readonly elementRef;
    xPosition: MenuPositionX;
    yPosition: MenuPositionY;
    popoverContent: TemplateRef<unknown>;
    mode: 'toggle' | 'hover';
    private readonly ngxMatMenuTrigger;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    open(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatPopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatPopoverComponent, "ngx-mat-popover", ["ngxMatPopover"], { "xPosition": "xPosition"; "yPosition": "yPosition"; "popoverContent": "popoverContent"; "mode": "mode"; }, {}, never, ["*"]>;
}
